Skip to content

KitchenOwl v120

WIP KitchenOwl API documentation


License: AGPL 3.0

Servers

Description URL
Official KitchenOwl server instance https://app.kitchenowl.org/api

Endpoints


DELETE /api/auth

User logout

Input parameters

Parameter In Type Default Nullable Description
bearerAuth header string N/A No JWT Bearer token
id path integer No Token ID to revoke (default: current token)

Responses

{
    "msg": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "msg": {
            "type": "string"
        }
    },
    "type": "object"
}

POST /api/auth

User login

Request body

{
    "device": "string",
    "password": "string",
    "username": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "additionalProperties": false,
    "properties": {
        "device": {
            "type": "string",
            "writeOnly": true
        },
        "password": {
            "type": "string",
            "writeOnly": true
        },
        "username": {
            "type": "string"
        }
    },
    "required": [
        "password",
        "username"
    ],
    "type": "object"
}

Responses

{
    "access_token": "string",
    "refresh_token": "string",
    "user": {}
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "access_token": {
            "type": "string"
        },
        "refresh_token": {
            "type": "string"
        },
        "user": {
            "type": "object"
        }
    },
    "type": "object"
}

POST /api/auth/llt

Create long-lived token

Input parameters

Parameter In Type Default Nullable Description
bearerAuth header string N/A No JWT Bearer token

Request body

{
    "device": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "additionalProperties": false,
    "properties": {
        "device": {
            "type": "string",
            "writeOnly": true
        }
    },
    "required": [
        "device"
    ],
    "type": "object"
}

Responses

{
    "longlived_token": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "longlived_token": {
            "type": "string"
        }
    },
    "type": "object"
}

DELETE /api/auth/llt/{id}

Delete long-lived token

Input parameters

Parameter In Type Default Nullable Description
bearerAuth header string N/A No JWT Bearer token
id path integer No Token ID to revoke

Responses

{
    "msg": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "msg": {
            "type": "string"
        }
    },
    "type": "object"
}

GET /api/auth/refresh

Token refresh

Input parameters

Parameter In Type Default Nullable Description
bearerRefreshToken header string N/A No JWT Bearer token

Responses

{
    "access_token": "string",
    "refresh_token": "string",
    "user": {}
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "access_token": {
            "type": "string"
        },
        "refresh_token": {
            "type": "string"
        },
        "user": {
            "type": "object"
        }
    },
    "type": "object"
}

POST /api/auth/signup

User registration

Request body

{
    "device": "string",
    "email": "string",
    "name": "string",
    "password": "string",
    "username": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "additionalProperties": false,
    "properties": {
        "device": {
            "type": "string",
            "writeOnly": true
        },
        "email": {
            "type": "string",
            "writeOnly": true
        },
        "name": {
            "type": "string"
        },
        "password": {
            "type": "string",
            "writeOnly": true
        },
        "username": {
            "type": "string"
        }
    },
    "required": [
        "email",
        "name",
        "password",
        "username"
    ],
    "type": "object"
}

Responses

{
    "access_token": "string",
    "refresh_token": "string",
    "user": {}
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "access_token": {
            "type": "string"
        },
        "refresh_token": {
            "type": "string"
        },
        "user": {
            "type": "object"
        }
    },
    "type": "object"
}

Schemas

CreateLongLivedToken

Name Type Description
device string

Login

Name Type Description
device string
password string
username string

Signup

Name Type Description
device string
email string
name string
password string
username string

Security schemes

Name Type Scheme Description
bearerAuth http bearer
bearerRefreshToken http bearer

More documentation

Find more info at the official documentation


For more information: https://docs.kitchenowl.org